lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rafael Brizola (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SOLR-6505) UnsupportedClassVersionError 51.0 when using Solr 4.7.2 and DataImportHandler
Date Thu, 11 Sep 2014 02:15:34 GMT
Rafael Brizola created SOLR-6505:
------------------------------------

             Summary: UnsupportedClassVersionError 51.0 when using Solr 4.7.2 and DataImportHandler
                 Key: SOLR-6505
                 URL: https://issues.apache.org/jira/browse/SOLR-6505
             Project: Solr
          Issue Type: Bug
    Affects Versions: 4.7.2
         Environment: RHEL5, java version "1.6.0_24"
            Reporter: Rafael Brizola


Hi. We are restrict to use java 6 in our servers. When I start Solr 4.7.2, it starts without
any problem. However, when I configure the DataImportHandler in solrconfig.xml I got the error:

        ... 10 more
Caused by: java.lang.UnsupportedClassVersionError: org/apache/solr/handler/dataimport/DataImportHandler
: Unsupported major.minor version 51.0
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:632)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
        at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
        at java.net.FactoryURLClassLoader.loadClass(URLClassLoader.java:627)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:247)
        at org.apache.solr.core.SolrResourceLoader.findClass(SolrResourceLoader.java:454)
        at org.apache.solr.core.SolrResourceLoader.findClass(SolrResourceLoader.java:401)
        at org.apache.solr.core.SolrCore.createInstance(SolrCore.java:531)
        at org.apache.solr.core.SolrCore.createRequestHandler(SolrCore.java:604)
        at org.apache.solr.core.RequestHandlers.initHandlersFromConfig(RequestHandlers.java:153)
        at org.apache.solr.core.SolrCore.<init>(SolrCore.java:774)
        ... 13 more

In the solr documentation page (http://archive.apache.org/dist/lucene/solr/4.7.2/changes/Changes.html)
is written that it works with java 6.

Thanks.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message